Subject: RE: How many routers an OSPF or IS-IS area can have

From: "Luallen, Matthew E." <[email-masked]>
Date: Thu, 25 Jan 2001 14:04:04 -0600

Keep in mind that the limitations of OSPF can actually be the total number
of subnetworks rather than the total number of routers.  Cisco recommends
that you not have an OSPF area with more than 90-100 routers.  Additionally
it is Cisco's recommendation that you not have more than 200 subnetworks per
an area.  Again .. these are recommendations and the network topology can
have a dramatic effect on what are stable numbers for other networks.

-matt luallen
mcse, ccie, cissp
argonne national laboratory

-----Original Message-----
From: Bora Akyol [mailto:[email-masked]]
Sent: Thursday, January 25, 2001 1:23 PM
To: Jerome Etienne
Cc: David Wang; [email-masked]'; [email-masked]'
Subject: Re: How many routers an OSPF or IS-IS area can have

I think the max numbers are somewhat conservative. There are SPs
that run more than 350 routers in one area successfully these
days.

Bora

>>>>> "Jerome" == Jerome Etienne <[email-masked]> writes:

    Jerome> rfc2329 may help you.  Parameter Responses Min Mode
    Jerome> Mean Max
    Jerome>
_________________________________________________________________
    Jerome> Max routers in domain 8 20 350 510 1000 Max routers
    Jerome> in single area 8 20 100 160 350 Max areas in domain
    Jerome> 7 1 15 23 60 Max AS-external-LSAs 6 50 1K 2K 5K

    Jerome>                       Table 3: OSPF domain sizes
    Jerome> deployed

    Jerome> On Thu, Jan 25, 2001 at 08:35:15AM -0600, David Wang
    Jerome> wrote:
    >> Hi,
    >> 
    >> I have a question about the size of the IS-IS and OSPF
    >> area. What is the guidelines in setting up the IS-IS or
    >> OSPF area? How many routers an area can have? What are
    >> the key facts to determine how many routers an area can
    >> have? router memory size? router interface bandwidth? or
    >> some other facts?  Is there any quantitative relationship
    >> among various parameters?
    >> 
    >> Thank you for your help!
    >> 
    >> David